// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.

#pragma once
#include "BaseCommon.h"


///////////////////////////////////////////////////////////////////////////////////////////////////
//
//		BasePipe
//
///////////////////////////////////////////////////////////////////////////////////////////////////
struct BasePipe
{
private:
public:
	int						m_gridStartX;
	int						m_gridStartY;
	int						m_gridEndX;
	int						m_gridEndY;
	HexDirection			m_direction;
	AABB2					m_bounds;
	double					m_animStartTime;
	PipeStatus				m_status;
	BaseNode*				m_startNode;
	BaseNode*				m_endNode;
	Base*					m_base;

	BasePipe();
	~BasePipe();

	bool IsDying();
	float CalcAnimFraction();
};


