// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.

#pragma once
#include "gameCommon.h"


/// Base-related tweaks
extern const Vector2	GRID_BASIS_WIDTH;
extern const Vector2	GRID_BASIS_HEIGHT;
extern const float		PIPE_LENGTH;
extern const float		NODE_RADIUS;
extern const float		JUNCTION_RADIUS;
extern const float		PIPE_RADIUS;
extern const int		TERMINATOR_HP;
extern const int		HEART_HP;
extern const double		PIPE_DEATH_SECONDS;
extern const double		BASE_DEATH_SECONDS;

/// Player-related tweaks
extern const float		PLAYER_MOVE_SPEED;
extern const float		PLAYER_BULLET_SPEED;
extern const int		BULLETS_PER_SECOND;
extern const double		LIFESPAN_PLAYER_BULLETS;
extern const float		RADIUS_PLAYER_BULLETS;
extern const float		DAMAGE_PLAYER_BULLETS;

/// Enemy-related tweaks
extern const float		ENEMY_GRUNT_LAUNCHSPEED;
extern const float		ENEMY_GRUNT_ACCELERATION;
extern const float		ENEMY_GRUNT_PREFERRED_DISTANCE;
extern const float		ENEMY_BULLETSMALL_LAUNCHSPEED;
extern const float		ENEMY_GRUNT_BULLET_FIRE_INTERVAL;
extern const double		ENEMY_GRUNT_WEAPONS_ARM_TIME;

/// Spawner-related tweaks
extern const double		SPAWNINTERVAL_DEFAULT;
extern const int		SPAWNMAXCOUNT_DEFAULT;

