//-------------------------------------------------------------------------------------------------
// engineSysHeaders.h (engine)
// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.
// 
// Includes all system headers used by the engine (localized into one place for easy
//	configuration of optimized precompiled headers).
//-------------------------------------------------------------------------------------------------
#ifndef _include_engineSysHeaders_
#define _include_engineSysHeaders_


//-------------------------------------------------------------------------------------------------
// Included header files
//-------------------------------------------------------------------------------------------------
/// Standard C library
#include <windows.h>
#include <stdlib.h>
#include <stdio.h>
#include <math.h>
#include <float.h>
#include <process.h>

/// C++ STL
#pragma warning( disable : 4786 ) // identifier was truncated to '255' characters in the debug information
#include <string>
#include <vector>
#include <list>
#include <map>
#include <utility>

/// OpenGL
#include <gl/gl.h>

/// License and usage info (required)
#include "license.hpp"

#endif // _include_engineSysHeaders_
