// 
// Copyright 2004 ALGDS, Zero Lodge.  See Engine/License.hpp for usage and license details.

#pragma once
#include "Vector2.h"
#include "Enemy.h"


class Spawner
{
public:
	SpawnType			m_spawnType;
	double				m_spawnInterval;
	double				m_lastSpawnTime;
//	int					m_maxSpawnCount;
//	std::list< Enemy* >	m_spawnList;

	Spawner( SpawnType spawnType = OBJTYPE_BULLETSMALL, double spawnInterval = SPAWNINTERVAL_DEFAULT );
	void Update( const Vector2& pos, const Vector2& vel );
	void SpawnObjectFromPosVel( const Vector2& pos, const Vector2& vel );
};


